Subject: fmt inserts garbage in certain cases?

From: "JD" <[email-masked]>
Date: Wed, 23 Feb 2022 12:58:54 +0200

Hi!

I have fmt from coreutils 8.32.1 installed via MacPorts.

If I run the following command: `echo х х х х х х х х х х х х х х х х х х х х х х х х х х | gfmt -sw 10` (which is just echoing 26 Cyrillic 'х' ('kha') letters), I get the following results:

https://i.imgur.com/yRx7uuz.png (iTerm2) 
https://i.imgur.com/7oQ0UPz.png (iTerm2 if passed via `more`) 
https://i.imgur.com/UlLrEMy.png (Alacritty)

And if I delete just two 'х' letters, like this: `echo х х х х х х х х х х х х х х х х х х х х х х х х | gfmt -sw 10`, evertyhitng shows just fine: https://i.imgur.com/DwuWxyx.png

Would be grateful for any advice :)

-- 
JD